build(deps): bump groovy-version from 3.0.9 to 3.0.10